Bug 3861 - Cannot install Kodak ML500 NT driver
Cannot install Kodak ML500 NT driver
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Printing
3.0.20
Other Windows XP
: P3 minor
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-26 12:46 UTC by Joanna Chan
Modified: 2012-01-09 10:41 UTC (History)
0 users

See Also:


Attachments
ML500 NT driver file (37.42 KB, application/x-zip-compressed)
2006-06-26 12:48 UTC, Joanna Chan
no flags Details
Samba log (4.66 KB, application/octet-stream)
2006-06-26 12:48 UTC, Joanna Chan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joanna Chan 2006-06-26 12:46:47 UTC
On a Windows 2000 client, when installing the attached driver for OS 'Windows NT4 or 2000' to the samba share using the APW, got an error saying 'The printer driver you selected is either not compitable with yout current version of Windows ... contact yout administrator for help'.

In the samba log, there is an error:
[2006/06/26 17:29:20, 0] printing/nt_printing.c:move_driver_to_download_area(1811)
  move_driver_to_download_area: Unable to rename [W32X86/ekml500.dat] to [W32X86/2/ekml500.DAT]

Looking at the ekml500.DAT (a 0 byte file) on the print server and found that the files is moved correctly to the '/2' subdir.  However, there is a '__SKIP_XXX' empty dir hanging in the W32X86 dir.

If the 'SKIP' dir is manually removed and the driver installation is performed again, this driver can be succesfully installed the 2nd time.
Comment 1 Joanna Chan 2006-06-26 12:48:00 UTC
Created attachment 1984 [details]
ML500 NT driver file
Comment 2 Joanna Chan 2006-06-26 12:48:38 UTC
Created attachment 1985 [details]
Samba log
Comment 3 Andreas Schneider 2012-01-09 10:40:56 UTC
This is probably fixed with a newer Samba version. If you still see the error. Please open a new bug with 'debug level = 10' logfiles of the new Samba version 3.5 or 3.6. Thanks!